This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 463210 - rtorrent package lacks XMLRPC support
rtorrent package lacks XMLRPC support
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rtorrent (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
http://libtorrent.rakshasa.no/wiki/RT...
:
Depends On: 471323
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 12:01 EDT by Konrad Kosmowski
Modified: 2009-07-14 13:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:25:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konrad Kosmowski 2008-09-22 12:01:08 EDT
rtorrent package lacks XMLRPC support. Since 0.7.5 rtorrent has an optional XMLRPC interface which is great because with it you can use variety of third party frontends, tools etc. [http://libtorrent.rakshasa.no/wiki/UtilsList].

For me XMLRPC is the killer feature of rtorrent. Fedora package lacking it means that I need to recompile it myself and thus the package is useless to me.

You can enable XMLRPC support by adding a switch to configure script and adding some compile and runtime RPM dependencies (mostly xmlrpc-c and maybe some other packages).
Comment 1 Marek Mahut 2008-11-13 04:18:20 EST
Konrad, you're right. This feature is primordial and many people wants it. I'm trying to build rtorrent with xmlrpc-c support but due to a bug in xmlrpc-c-config it's not so easy :)
Comment 2 Ewin Barnett 2008-12-23 00:16:39 EST
I just installed Fedora 10 and ran yum install rtorrent.  

Running rtorrent fails with the error message:

[eb@fc10d ~]$ rtorrent 
rtorrent: XMLRPC not supported.

Now WHY bother putting an rpm in the repository that is guaranteed to blow up?

If it helps any, on the following page, the author goes through the steps to compile rtorrent, after first correctly compiling xmlrpc-c:

http://hi.baidu.com/justforfun/blog/item/c00a0924abf54e2fd5074269.html

This implies a that xmlrpc-c needs to be recompiled with the flag: --with-xmlrpc-c

Please see very bottom of the page, and please fix rtorrent!
Comment 3 kyoto 2009-01-29 04:55:49 EST
Please, I would also like to have rtorrent recompiled with the mentioned flag, 
--with-xmlrpc-c
Comment 4 skiffx 2009-02-21 02:26:31 EST
This bug has not been taken care of since FC8...
As I understand its not a hard fix, why such a long delay?
Comment 5 skiffx 2009-02-21 02:27:41 EST
PS. Its not only in FC9, its also in FC10.
Comment 6 skiffx 2009-02-21 03:11:08 EST
http://forums.fedoraforum.org/showthread.php?p=1170648#post1170648
hope this helps to the rest of you.
Comment 7 Conrad Meyer 2009-05-11 13:46:22 EDT
--with-xmlrpc-c has been enabled for a while (maybe only in rawhide). Anyone want to try http://koji.fedoraproject.org/koji/taskinfo?taskID=1348191 and tell me if it works with XMLRPC?
Comment 8 Bug Zapper 2009-06-09 22:47:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 10:25:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Conrad Meyer 2009-07-14 13:02:27 EDT
I think this bug was either not a bug or fixed a long time ago. Closing as WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.